clear
cd "M:\tr\Caroline\Manufacturing\"
use "Exports_final2.dta",clear
sort id_e
merge id_e using "CapitalAbundance.dta"
drop if ln_time==.
drop _merge
destring code, replace
sort code
merge code using "KIntensity2_final.dta"
drop if ln_time==.
drop _merge
sort code
merge code using "Hummels.dta"
drop if ln_time==.
drop _merge
gen int_sk=ln(koverl)*ln(skin3_m)
gen int_ca=ln(hoverl)*ln(capint3_m)
gen int_time1=ln_time*days1
gen int_time2=ln_time*days2
gen int_time_rate1=ln_time*days_rate1
gen int_time_rate2=ln_time*days_rate2
gen int_time_dum1=ln_time*dum_l
gen int_time_dum2=ln_time*dum_c
gen int_time_dum3=ln_time*dum_p
gen ln_value=log(value)
tab id_e, gen(e)
tab code, gen(cd)
log using "Table5f", replace
bootstrap, reps(500): reg ln_value e1-e123 cd1-cd25 int_sk int_ca int_time2, robust cluster(id_e)
bootstrap, reps(500): reg ln_value e1-e123 cd1-cd25 int_sk int_ca int_time_dum3, robust cluster(id_e)
bootstrap, reps(500): reg ln_value e1-e123 cd1-cd25 int_sk int_ca int_time2, beta robust
bootstrap, reps(500): reg ln_value e1-e123 cd1-cd25 int_sk int_ca int_time_dum3, beta robust 


****For those regression results above that look good*****
bootstrap, reps(500): reg ln_value e1-e123 cd1-cd25 int_time2, robust cluster(id_e)
bootstrap, reps(500): reg ln_value e1-e123 cd1-cd25 int_time_dum3, robust cluster(id_e)

bootstrap, reps(500): reg ln_value e1-e123 cd1-cd25 int_time2, beta robust
bootstrap, reps(500): reg ln_value e1-e123 cd1-cd25 int_time_dum3, beta robust

log close
